summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-admin/consul/files/consul-agent.initd22
1 files changed, 11 insertions, 11 deletions
diff --git a/app-admin/consul/files/consul-agent.initd b/app-admin/consul/files/consul-agent.initd
index 24d7889..c516eb9 100644
--- a/app-admin/consul/files/consul-agent.initd
+++ b/app-admin/consul/files/consul-agent.initd
@@ -18,23 +18,23 @@ depend() {
use net
}
+reload() {
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --signal SIGHUP --pidfile "${pidfile}"
+ eend $?
+}
+
stop() {
# We need to override the default stop function
# because it uses SIGTERM whereas consul needs a SIGINT
# to shutdown gracefully
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --signal SIGINT --pidfile "${pidfile}"
- eend $?
-}
-
-reload() {
- ebegin "Reloading ${SVCNAME}"
- start-stop-daemon --signal SIGHUP --pidfile "${pidfile}"
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --signal SIGINT --pidfile "${pidfile}"
eend $?
}
telemetry() {
- ebegin "Logging telemetry for ${SVCNAME}"
- start-stop-daemon --signal SIGUSR1 --pidfile "${pidfile}"
- eend $?
+ ebegin "Logging telemetry for ${SVCNAME}"
+ start-stop-daemon --signal SIGUSR1 --pidfile "${pidfile}"
+ eend $?
} \ No newline at end of file